Subject: Disk device disappears before installer can mount it

From: Graham Lee <[email-masked]>
Date: Wed, 22 May 2019 00:20:15 +0100

Hi everyone,

I’ve retried installation using the 1.0.1 ISO (you may remember me from such bug reports as “Filesystem error in the installer”). The good news is that the FAT16 EFI partition no longer confuses the partition editor. The bad news…

To recap, I’m choosing the guided partition scheme, with everything in a single partition. The installer proposes a reasonable scheme: it keeps my EFI partition, then a big e4fs, then a Linux swap partition. I accept that, and go through connecting to a network, setting root password, adding a user, and choosing desktop and daemon packages. Then the next error.

> In procedure mount: mount “/dev/sda1” on “/mnt/boot/efi”: No such device

Indeed if I press OK and rerun to the installer, then the next time it gets to the partition page it won’t see the SSD. It doesn’t get detected again until a reboot.

The SSD is Samsung SSD PM871 mSATA 256GB

I will try to replicate this by partitioning the disk at the manual installer shell, to capture dmesg output.

Thanks,
Graham.